#include <xvt.h>
#include <checks.h>

#define __MAIN__
#include "cg1.h"

#define usage   "Error - usage : %s -{0|1|2|3|4|5} [params]"

int main(int argc,char** argv)
{
  const int n = (argc > 1) ? atoi(argv[1]+1) : -1;
  switch(n)
  {
  case 0:
    cg1100(argc,argv); break;
  case 1:
    cg1200(argc,argv); break;
  case 2:
    cg1300(argc,argv); break;
  case 3:
    cg1400(argc,argv); break;
  case 4:
    cg1500(argc,argv); break;
  case 5:
    cg1600(argc,argv); break;
  case 6:
    cg1700(argc,argv); break;
    //case 7:
    //  cg1800(argc,argv); break;
  default:
    error_box(usage, argv[0]); break;
  }

  return n < 0;
}


